6.0.0-git
2019-04-21

[#13901] ActiveSync - Server does not support binary message data
Summary ActiveSync - Server does not support binary message data
Queue Synchronization
Queue Version FRAMEWORK_5_2
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester samuel.wolf (at) wolf-maschinenbau (dot) de
Created 2015-03-06 (1507 days ago)
Due
Updated 2015-06-02 (1419 days ago)
Assigned 2015-05-29 (1423 days ago)
Resolved 2015-06-01 (1420 days ago)
Milestone
Patch No

History
2015-06-02 12:31:43 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #19 Reply to this comment
New packages are out.
Work, thank you!
2015-06-01 22:09:15 Michael Rubinsky Comment #18 Reply to this comment
New packages are out.
2015-06-01 04:32:53 Michael Rubinsky Comment #17 Reply to this comment
2015-06-01 04:31:53 Michael Rubinsky Comment #16
State ⇒ Resolved
Reply to this comment
Fixed for next release of Horde_Core and Horde_ActiveSync. Will 
release on Monday since I'm working another unrelated issue I hope to 
include in the release.
2015-06-01 04:27:04 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (master):

commit 73d396d723ece691e3b034edd8f01b1247a27a64
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Jun 1 00:22:43 2015 -0400

     If we fail do to a missing capability, retry after rebuilding the part.

     Some clients send user uneditable text (such as auto-generated html
     signatures) that exceed the maximum line length, thus require
     BINARYMIME to be supported in the sending server. Check that any
     failures are not due to this by trying again after rebuilding
     the MIME part sent from the client.

     Fix for Bug: 13901

  framework/Core/lib/Horde/Core/ActiveSync/Mail.php |   33 
+++++++++++++++++++++
  1 files changed, 33 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/73d396d723ece691e3b034edd8f01b1247a27a64
2015-05-29 20:13:32 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #14 Reply to this comment
I guess it is time for a new device, because it make no sense for me
to fix this on the horde side.
I'll see what I can do next week.
Ok wait for your feedback.
2015-05-29 15:41:59 Michael Rubinsky Comment #13
State ⇒ Assigned
Reply to this comment
I guess it is time for a new device, because it make no sense for me 
to fix this on the horde side.
I'll see what I can do next week. Should be able to rewrite the MIME 
part to wrap the text/html data, as long as the message isn't signed 
or encrypted.
2015-05-29 09:21:50 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #12 Reply to this comment
The client is sending the HTML data as one long line without any 
line breaks (CR/LF). 8Bit data MUST be less than 998 characters per 
line. Anything longer MUST be treated as binary. (RFC 2045 [2.8]).

This MIGHT be the way you entered your HTML signature yourself, or 
maybe it's the client's fault. If you are able to manually enter the 
HTML for the HTML signature, be sure to add some linebreaks in it.
No way, I try it with linebreaks but all the text is again in one line 
in the debug log.
Text format is plain, but device send anyway in HTML :-(

I guess it is time for a new device, because it make no sense for me 
to fix this on the horde side.
2015-05-28 18:05:00 Michael Rubinsky Comment #11
State ⇒ Feedback
Reply to this comment
This was helpful.

The client is sending the HTML data as one long line without any line 
breaks (CR/LF). 8Bit data MUST be less than 998 characters per line. 
Anything longer MUST be treated as binary. (RFC 2045 [2.8]).

This MIGHT be the way you entered your HTML signature yourself, or 
maybe it's the client's fault. If you are able to manually enter the 
HTML for the HTML signature, be sure to add some linebreaks in it.

Either way,  we should be able to capture the error and retry once 
after searching for and truncating any lines in text/html parts. Would 
rather not mangle the pure message from the client unless absolutely 
necessary though.
2015-05-28 10:48:17 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #10 Reply to this comment
Ok I try this, unfortunately I have to wait for the next time this 
error happens.
Found one mail on the device :)
Send you by mail the log file.

Is the <br> after </html> the problem?
[...] </body></html><br>
2015-05-27 22:01:09 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #9 Reply to this comment
If you enable "detailed" logging for ActiveSync, it *should* log the 
full message source in the log.
Ok I try this, unfortunately I have to wait for the next time this 
error happens.
2015-05-27 17:42:31 Michael Rubinsky Comment #8 Reply to this comment
If you enable "detailed" logging for ActiveSync, it *should* log the 
full message source in the log. If you can get that and send it to me, 
I can try to see if there is any workaround.

FWIW, my email server is also missing that extension, so I should be 
able to duplicate the error if I have a sample message.
2015-05-27 17:36:45 Michael Rubinsky Comment #7 Reply to this comment
You are missing BINARYMIME (RFC 3030) which is different than 8BITMIME 
(RFC 6152). Not 100% sure what part of the message requires it, since 
I don't have the raw message, but that is what the error code is 
telling you.
2015-05-26 09:19:17 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #6 Reply to this comment
This message is thrown when the SMTP server doesn't support 8bitmime 
or binarymime extensions when they are required.
root@mailserver:/# telnet 127.0.0.1 25
Trying 127.0.0.1...
Connected to 127.0.0.1.
Escape character is '^]'.
220 mailserver.intern ESMTP Postfix (Debian/GNU)
EHLO mailserver.intern
250-mailserver.intern
250-PIPELINING
250-SIZE 157286400
250-VRFY
250-ETRN
250-STARTTLS
250-ENHANCEDSTATUSCODES
250-8BITMIME
250 DSN
QUIT
221 2.0.0 Bye

2015-05-26 09:15:01 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #5 Reply to this comment
Closing for now until more data is available.
Happens again on a HTC One mini2 with Android 4.4.2

[...]
2015-05-26T10:50:42+02:00 DEBUG: [14623] I   </ComposeMail:ClientId>
2015-05-26T10:50:42+02:00 DEBUG: [14623] I   <ComposeMail:MIME>
2015-05-26T10:50:42+02:00 DEBUG: [14623] I     [2801 bytes of content]
2015-05-26T10:50:42+02:00 DEBUG: [14623] I   </ComposeMail:MIME>
2015-05-26T10:50:42+02:00 DEBUG: [14623] I  </ComposeMail:SendMail>
2015-05-26T10:50:42+02:00 INFO: [14250] Maximum memory usage for 
ActiveSync request: 23855104 bytes.
2015-05-26T10:50:42+02:00 ERR: Server does not support binary message data.
2015-05-26T08:50:42+00:00 INFO: [14248] 
Horde_Core_ActiveSync_Driver::authenticate() attempt for samuel
2015-05-26T08:50:42+00:00 INFO: [14385] 
Horde_Core_ActiveSync_Driver::authenticate() attempt for samuel
2015-05-26T10:50:42+02:00 INFO: [14248] PING request received for user samuel
2015-05-26T10:50:42+02:00 INFO: [14248] Device entry exists for 
HTCXXXXXX, updating userAgent and version.
[...]

I found no way to copy the message from the device (move to an other 
folder doesn't work).

@ Mike, I send you a screenshot from the message (sorry, I think this 
does not help, or?).
Interesting was, as soon I remove the signature the mail was send 
successfully.
2015-03-09 15:49:51 Michael Rubinsky Comment #4
State ⇒ No Feedback
Reply to this comment
Closing for now until more data is available.
2015-03-07 07:56:01 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #3 Reply to this comment
This message is thrown when the SMTP server doesn't support 8bitmime 
or binarymime extensions when they are required. The question is 
what about that email requires those extensions? Without seeing the 
email data it's hard to say. Are you sending to an EAI  (Email 
Address Internationalization) address? It would be helpful to see 
the raw
No, the mail address was a normal not EAI address like my with another name.
email data of such an email.
Unfortunately the smartphone never save the mail on the server.
Looking, but do not found anything expected normal text in this mail.

I guess it make no sense to search the problem with this information, 
please close this ticket.
If I have the problem again I will provide more informations on this ticket.
2015-03-07 04:54:02 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
Found this in the logfile:
ERR: Server does not support binary message data.
This message is thrown when the SMTP server doesn't support 8bitmime 
or binarymime extensions when they are required. The question is what 
about that email requires those extensions? Without seeing the email 
data it's hard to say. Are you sending to an EAI  (Email Address 
Internationalization) address? It would be helpful to see the raw 
email data of such an email.
2015-03-06 13:16:14 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ ActiveSync - Server does not support binary message data
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
New Attachment: ActiveSync_Debug.txt Download
Reply to this comment
Sometimes my device (Android 4.4.2 HTC One mini2) is not able to send 
a text mail over ActiveSync, debug log attached.

I have no idea what's wrong with this mail, was a new mail over the 
smartphone without a attachment.

Found this in the logfile:
ERR: Server does not support binary message data.

Saved Queries